﻿using Configuration;
using Microsoft.SPOT;
using System.IO;
using System.Net;
using System.Text;

class SimplePutRequest
{
    static void Main()
    {
        Parameters.Setup();
        // this is the "sample" we want to send to Pachube
        var sample = "number,42";
        // convert sample to byte array
        byte[] buffer = Encoding.UTF8.GetBytes(sample);

        // produce request
        var requestUri =
            "http://api.xively.com/v2/feeds/" + Parameters.FeedId + ".csv";
        using (var request = (HttpWebRequest)WebRequest.Create(requestUri))
        {
            request.Method = "PUT";

            // headers
            request.ContentType = "text/csv";
            request.ContentLength = buffer.Length;
            request.Headers.Add("X-ApiKey", Parameters.ApiKey);

            // content
            Stream s = request.GetRequestStream();
            s.Write(buffer, 0, buffer.Length);

            // send request and receive response
            using (var response = (HttpWebResponse)request.GetResponse())
            {
                // consume response
                Debug.Print("Status code: " + response.StatusCode);
            }
        }
    }
}
